﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web.Services.Protocols;

namespace ExceptionHelper
{
    /// <summary>
    /// Base class for the FaultExceptionMapper class generated by the 
    /// GenerateFaultWrappersFromWsdl utility.
    /// </summary>
    public abstract class FaultExceptionMapperBase
    {
        /// <summary>
        /// Check if the Detail of the given soap exception corresponds to a known
        /// exception class, and if found, returns a new instance of the known/typed
        /// exception class. Returns null if nothing was found.
        /// </summary>
        /// <param name="ex">The SOAP exception instance.</param>
        /// <returns></returns>
        public abstract SoapException LookupAndCreateException(System.Web.Services.Protocols.SoapException ex);
    }
}
